apeman-commons-invocating
===========


[![Build Status][my_travis_badge_url]][my_travis_url]
[![Code Climate][my_codeclimate_badge_url]][my_codeclimate_url]
[![Code Coverage][my_codeclimate_coverage_badge_url]][my_codeclimate_url]
[![npm version][my_npm_budge_url]][my_npm_url]

apeman common module for invocating.


Installation
------------

Install module via [npm][npm_url].

```bash
# Install as local module.
$ npm install apeman-commons-invocating --save
```

Usage
-----

### Context

Context constructor.

```javascript
/**
 * This is example file for context.
 */

"use strict";

var Context = require('apeman-invocating/lib/context'),
    context = new Context({
        foo: 'bar'
    });

console.log(context.foo); // => 'bar'


```
### Module loader

Load a module from given path.

```javascript
/**
 * This an example for module loader.
 */

"use strict";

var ModuleLoader = require('apeman-invocating/lib/module_loader');

var loader = new ModuleLoader({
    // Base directory to search
    basedir: process.cwd()
});
loader.load('my-awesome-module.', function (err, module) {
    if (err) {
        // Error will be passed unless module found.
        /*...*/
    } else {
        /** ...*/
    }
});

```

License
-------

This software is released under the [MIT License][my_license_url].


Links
-----

+ [apeman][apeman_url]

[npm_url]: https://www.npmjs.com/
[apeman_url]: https://github.com/apeman-repo/apeman
[my_repo_url]: https://github.com/apeman-repo/apeman-commons-invocating
[my_travis_url]: http://travis-ci.org/apeman-repo/apeman-commons-invocating
[my_travis_badge_url]: http://img.shields.io/travis/apeman-repo/apeman-commons-invocating.svg?style=flat
[my_license_url]: https://github.com/apeman-repo/apeman-commons-invocating/blob/master/LICENSE
[my_codeclimate_url]: http://codeclimate.com/github/apeman-repo/apeman-commons-invocating
[my_codeclimate_badge_url]: http://img.shields.io/codeclimate/github/apeman-repo/apeman-commons-invocating.svg?style=flat
[my_codeclimate_coverage_badge_url]: http://img.shields.io/codeclimate/coverage/github/apeman-repo/apeman-commons-invocating.svg?style=flat
[my_npm_url]: http://www.npmjs.org/package/apeman-commons-invocating
[my_npm_budge_url]: http://img.shields.io/npm/v/apeman-commons-invocating.svg?style=flat