#!/usr/bin/env node

var coz = require('coz'),
    path = require('path'),
    async = require('async'),
    buds = require('apeman-tmpl-contrib-official/lib/commons');

var pkg = require('../package.json');


var basedir = path.resolve(__dirname, '..');

process.chdir(basedir);

async.series([
    function (callback) {
        coz.render([
            'bin/.*.bud',
            'lib/**/.*.bud',
            'test/**/.*.bud'
        ], callback);
    },
    function (callback) {
        buds.render({
            pkg: pkg,
            modules: [
                {name: 'InvocationContext'},
                {name: 'InvocationLoader'},
                {name: 'InvocationPerformer'},
                {name: 'perform'}
            ],
            usages: [
                {
                    title: 'Context',
                    description: 'Context constructor.',
                    example: 'docs/examples/context-example.js'
                },
                {
                    title: 'Module loader',
                    description: 'Load a module from given path.',
                    example: 'docs/examples/module-loader-example.js'
                }
            ],
            see: {}
        }, callback);
    }
], function (err) {
    if (err) {
        console.error(err);
    }
});