/**
 * Perform a invocation.
 * @memberof module:apeman-commons-invocating
 * @function perform
 * @param {object} context - Context to run with.
 * @param {object} invocation - Invocation.
 * @param {string} invocation.$invoke - Module to invoke.
 * @param {string[]} invocation.$arg - Invocation arguments.
 * @param {object} invocation.$options - Invocation options.
 * @param {function} callback - Callback when done.
 */

"use strict";

var InvocationPerform = require('./invocation_performer');

/** @lends perform */
function perform(context, invocation, callback) {
    new InvocationPerform({
        context: context
    }).perform(invocation, callback);
}

module.exports = perform;