/**
 * Test case for invocationContext.
 * Runs with nodeunit.
 */

var InvocationContext = require('../lib/invocation_context.js');

exports['Context'] = function (test) {
    var context = new InvocationContext({
        foo: 'bar'
    });
    test.equal(context.foo, 'bar');
    test.equal(context.get().foo, 'bar');
    test.equal(context.clone().foo, 'bar');
    test.equal(context.clone().get().foo, 'bar');
    test.equal(context.set({baz: 'quz'}), context);
    test.equal(context.get().baz, 'quz');
    test.done();
};

exports['Define a context.'] = function (test) {
    var CustomContext = InvocationContext.define({});
    var context = new CustomContext({
        foo: 'bar'
    });
    test.equal(context.foo, 'bar');
    test.equal(context.clone().foo, 'bar');
    test.done();
};

