/**
 * Test case for taskWorkerExecutor.
 * Runs with nodeunit.
 */

var InvocationPerformer = require('../lib/invocation_performer.js'),
    InvocationLoader = require('../lib/invocation_loader'),
    InvocationContext = require('../lib/invocation_context'),
    injectmock = require('injectmock');

exports.tearDown = function (done) {
    injectmock.restoreAll();
    done();
};

exports['Get ambigously.'] = function (test) {
    var performer = new InvocationPerformer();
    test.equal(performer._getAmbiguously({"foo": "bar"}, "o|f|foo"), "bar");
    test.equal(performer._getAmbiguously({"foo": "bar"}, "o|f|oo"), null);
    test.done();
};

exports['Task worker performer'] = function (test) {
    var performer = new InvocationPerformer();
    test.ok(performer);
    test.done();
};

exports['Do perform.'] = function (test) {
    var performer = new InvocationPerformer({
        context: new InvocationContext({})
    });
    injectmock(InvocationLoader.prototype, 'load', function (name, callback) {
        callback(null, {
            apply: function (ctx, args) {
                var callback = args[args.length - 1];
                callback(null, {});
            }
        });
    });
    performer.perform({}, function (err) {
        test.ifError(err);
        test.done();
    });
};

