/**
 * Test case for perform.
 * Runs with nodeunit.
 */

var perform = require('../lib/perform.js'),
    InvocationLoader = require('../lib/invocation_loader'),
    injectmock = require('injectmock');

exports.tearDown = function (done) {
    injectmock.restoreAll();
    done();
};


exports['Perform'] = function (test) {
    injectmock(InvocationLoader.prototype, 'load', function (name, callback) {
        callback(null, {
            apply: function (ctx, args) {
                var callback = args[args.length - 1];
                callback(null, {});
            }
        });
    });
    perform({}, {}, function (err) {
        test.ifError(err);
        test.done();
    });
};

